# Type alias LookupFunction

LookupFunction: ((hostname, options, callback) => void)

#### Type declaration

- - (hostname, options, callback): void

  - #### Parameters

    - hostname: string
    - options: LookupOptions
    - callback: ((err, address, family?) => void)
      - - (err, address, family?): void

        - #### Parameters

          - err: ErrnoException | null
          - address: string | LookupAddress[]
          - `Optional` family: number

          #### Returns void

- Defined in node_modules/@types/node/net.d.ts:19